/*
 * @(#)Printable.java	1.4 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.awt.print;

import java.awt.Graphics;

/**
 * When building a Pageable, pairs of PageFormat
 * instances and instances that implement
 * this Printable interface are used to
 * describe each page. The instance implementing
 * Printable will be called to print the page's
 * graphics.
 */
public interface Printable {
    /**
     *	A Book instance will call the Printable interface
     *	requesting that a page be printed into 'graphics'.
     *
     */
    void print(Graphics graphics);

}
