/*
 * @(#)ScrollPaneConstants.java	1.4 98/01/30
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package java.awt.swing;


public interface ScrollPaneConstants
{
    String VIEWPORT = "VIEWPORT";
    String VERTICAL_SCROLLBAR = "VERTICAL_SCROLLBAR";
    String HORIZONTAL_SCROLLBAR = "HORIZONTAL_SCROLLBAR";
    String ROW_HEADER = "ROW_HEADER";
    String COLUMN_HEADER = "COLUMN_HEADER";
    String LOWER_LEFT_CORNER = "LOWER_LEFT_CORNER";
    String LOWER_RIGHT_CORNER = "LOWER_RIGHT_CORNER";
    String UPPER_LEFT_CORNER = "UPPER_LEFT_CORNER";
    String UPPER_RIGHT_CORNER = "UPPER_RIGHT_CORNER";

    String VERTICAL_SCROLLBAR_POLICY = "VERTICAL_SCROLLBAR_POLICY";
    String HORIZONTAL_SCROLLBAR_POLICY = "HORIZONTAL_SCROLLBAR_POLICY";

    int VERTICAL_SCROLLBAR_AS_NEEDED = 20;
    int VERTICAL_SCROLLBAR_NEVER = 21;
    int VERTICAL_SCROLLBAR_ALWAYS = 22;

    int HORIZONTAL_SCROLLBAR_AS_NEEDED = 30;
    int HORIZONTAL_SCROLLBAR_NEVER = 31;
    int HORIZONTAL_SCROLLBAR_ALWAYS = 32;
}

