/*
 * @(#)PrimitiveKind.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: ../../../../../src/share/classes/org/omg/CORBA/PrimitiveKind.java
 * From: ../../../../../src/share/classes/org/omg/CORBA/ir.idl
 * Date: Sat Aug 30 14:00:48 1997
 *   By: idltojava Java IDL 1.2 Oct 13 1997 17:18:39
 */

package org.omg.CORBA;
public final class PrimitiveKind {
     public static final int _pk_null = 0,
	  		     _pk_void = 1,
	  		     _pk_short = 2,
	  		     _pk_long = 3,
	  		     _pk_ushort = 4,
	  		     _pk_ulong = 5,
	  		     _pk_float = 6,
	  		     _pk_double = 7,
	  		     _pk_boolean = 8,
	  		     _pk_char = 9,
	  		     _pk_octet = 10,
	  		     _pk_any = 11,
	  		     _pk_TypeCode = 12,
	  		     _pk_Principal = 13,
	  		     _pk_string = 14,
	  		     _pk_objref = 15;
     public static final PrimitiveKind pk_null = new PrimitiveKind(_pk_null);
     public static final PrimitiveKind pk_void = new PrimitiveKind(_pk_void);
     public static final PrimitiveKind pk_short = new PrimitiveKind(_pk_short);
     public static final PrimitiveKind pk_long = new PrimitiveKind(_pk_long);
     public static final PrimitiveKind pk_ushort = new PrimitiveKind(_pk_ushort);
     public static final PrimitiveKind pk_ulong = new PrimitiveKind(_pk_ulong);
     public static final PrimitiveKind pk_float = new PrimitiveKind(_pk_float);
     public static final PrimitiveKind pk_double = new PrimitiveKind(_pk_double);
     public static final PrimitiveKind pk_boolean = new PrimitiveKind(_pk_boolean);
     public static final PrimitiveKind pk_char = new PrimitiveKind(_pk_char);
     public static final PrimitiveKind pk_octet = new PrimitiveKind(_pk_octet);
     public static final PrimitiveKind pk_any = new PrimitiveKind(_pk_any);
     public static final PrimitiveKind pk_TypeCode = new PrimitiveKind(_pk_TypeCode);
     public static final PrimitiveKind pk_Principal = new PrimitiveKind(_pk_Principal);
     public static final PrimitiveKind pk_string = new PrimitiveKind(_pk_string);
     public static final PrimitiveKind pk_objref = new PrimitiveKind(_pk_objref);
     public int value() {
         return _value;
     }
     public static final PrimitiveKind from_int(int i)  throws  org.omg.CORBA.BAD_PARAM {
           switch (i) {
             case _pk_null:
                 return pk_null;
             case _pk_void:
                 return pk_void;
             case _pk_short:
                 return pk_short;
             case _pk_long:
                 return pk_long;
             case _pk_ushort:
                 return pk_ushort;
             case _pk_ulong:
                 return pk_ulong;
             case _pk_float:
                 return pk_float;
             case _pk_double:
                 return pk_double;
             case _pk_boolean:
                 return pk_boolean;
             case _pk_char:
                 return pk_char;
             case _pk_octet:
                 return pk_octet;
             case _pk_any:
                 return pk_any;
             case _pk_TypeCode:
                 return pk_TypeCode;
             case _pk_Principal:
                 return pk_Principal;
             case _pk_string:
                 return pk_string;
             case _pk_objref:
                 return pk_objref;
             default:
	              throw new org.omg.CORBA.BAD_PARAM();
           }
     }
     private PrimitiveKind(int _value){
         this._value = _value;
     }
     private int _value;
}
