/*
 * @(#)NoninvertibleTransformException.java	1.7 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.awt.geom;

/**
 * This exception is thrown if an operation is performed requiring
 * the inverse of a Transform object and the Transform is not invertible.
 * @version 10 Feb 1997
 */

public class NoninvertibleTransformException extends java.lang.Exception {
    public NoninvertibleTransformException(String s) {
        super (s);
    }
}
