/*
 * @(#)HTMLStyleCallbackDefault.java	1.5 97/10/10
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
package java.awt.swing.text.html;



/**
 * HTMLStyleCallbackDefault
 *
 * THe default implementation for the HTMLStyleCallback
 *
 * @version 1.5 10/10/97
 * @author Makarand Gokhale
 */
class HTMLStyleCallbackDefault implements HTMLStyleCallback{
	
    public static boolean  doDebug=false;
	
    public void tagAction(String tag) {
		 debugOut("tag Action:tag:"+tag);
		 }
    public void depTagAction() {
		 debugOut("Dep Tag Action:");
		 }
    public void classAction(String regclass) {
		 debugOut("class Action:class:"+regclass);
		 }
    public void pseudoclassAction(String pseudoclass) {
		 debugOut("pseudoclass Action:pseudoclass:"+pseudoclass);
		 }
    public void propertyAction(String property) {
		 debugOut("property Action:property:"+property);
		 }
    public void valueAction(String value) {
		 debugOut("Value Action:Value:"+value);
		 }
    public void propsOpenAction() {
		 debugOut("Properties Open Action");
		 }
    public void propsCloseAction() {
		 debugOut("Properties Close Action");
		 }
    public  static synchronized void  debugOut(String s){
           if(doDebug)
		System.out.println(s);
	}

}
