/*
 * @(#)Environment.java	1.12 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**  
 * The Environment class is used in the request operations to make
 * exceptions available to the client.
 * 
 * @version 1.12, 03/18/98
 * @since   JDK1.2
 */

public abstract class Environment {

  /**
   * exception accessor.
   *
   * @return			exception in the Environment.
   */

  public abstract java.lang.Exception exception();

  /**
   * exception modifier.
   *
   * @param exc			exception to be set.
   */

  public abstract void exception(java.lang.Exception except);

  /**
   * The clear operation clears the Environment of any exception.
   */

  public abstract void clear();

}
