/*
 * @(#)BadKind.java	1.7 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA.TypeCodePackage;

/**
 * The exception <code>BadKind</code> is raised when trying to invoke
 * an inappropriate operation on a <code>TypeCode</code>. For example, 
 * trying to invoke <code>discriminator_type()</code> on an instance of 
 * <code>TypeCode</code> that does not represent an IDL union.
 *
 * @see org.omg.CORBA.TypeCode
 * @version 1.7, 03/18/98
 * @since   JDK1.2
 */

public final class BadKind extends org.omg.CORBA.UserException {
}
