/*
 * @(#)UserException.java	1.29 98/03/18
 *
 * Copyright 1995-1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * The root class for CORBA IDL-defined user exceptions. 
 * All CORBA user-exceptions are checked exceptions, and need to
 * be declared in method signatures.
 *
 * @version	1.29 03/18/98
 */
public abstract class UserException extends java.lang.Exception {

    /**
     * Constructs a UserException. Called only by subclasses.
     */ 
    protected UserException() {
	super();
    }
} 

