/*
 * @(#)BindingType.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: ../../../../../src/share/classes/org/omg/CosNaming/BindingType.java
 * From: ../../../../../src/share/classes/org/omg/CosNaming/nameservice.idl
 * Date: Tue Sep  9 19:30:42 1997
 *   By: idltojava Java IDL 1.2 Oct 13 1997 17:18:39
 */

package org.omg.CosNaming;
public final class BindingType {
     public static final int _nobject = 0,
	  		     _ncontext = 1;
     public static final BindingType nobject = new BindingType(_nobject);
     public static final BindingType ncontext = new BindingType(_ncontext);
     public int value() {
         return _value;
     }
     public static final BindingType from_int(int i)  throws  org.omg.CORBA.BAD_PARAM {
           switch (i) {
             case _nobject:
                 return nobject;
             case _ncontext:
                 return ncontext;
             default:
	              throw new org.omg.CORBA.BAD_PARAM();
           }
     }
     private BindingType(int _value){
         this._value = _value;
     }
     private int _value;
}
